Add CAPI flash driver (cxlflash) patches to 15.10

Bug #1499849 reported by bugproxy on 2015-09-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Tim Gardner
Wily
Medium
Tim Gardner

Bug Description

== Comment: #2 - Matthew R. Ochs <email address hidden> - 2015-09-24 16:41:19 ==
Patches for the cxlflash SCSI driver are in the process of being
upstreamed as part of the rc phase for 4.3. This is to get those
patches into Ubuntu 15.10.

== Comment: #3 - Matthew R. Ochs <email address hidden> - 2015-09-24 17:06:45 ==

Default Comment by Bridge

tags: added: architecture-ppc64le bugnameltc-131042 severity-medium targetmilestone-inin1510
Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1499849/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Matthew R. Ochs (mrochs) on 2015-09-25
affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: Taco Screen team (taco-screen-team) → Canonical Kernel Team (canonical-kernel-team)
status: New → Triaged

------- Comment on attachment From <email address hidden> 2015-09-25 23:30 EDT-------

Please use the patches contained within the 925 tarball instead of the original tarball.

Tim Gardner (timg-tpi) wrote :

I'd like to see these patches at least make it into linux-next first.

Changed in linux (Ubuntu Wily):
assignee: Canonical Kernel Team (canonical-kernel-team) → Tim Gardner (timg-tpi)
status: Triaged → In Progress

Default Comment by Bridge

------- Comment on attachment From <email address hidden> 2015-09-25 23:30 EDT-------

Please use the patches contained within the 925 tarball instead of the original tarball.

------- Comment From <email address hidden> 2015-09-28 14:14 EDT-------
Reposting reply for Canonical to see it:

> I'd like to see these patches at least make it into linux-next first.

These patches are critical bug fixes that need to make it in the 15.10 GA. We are working with the community on getting these accepted in the 4.3 rc phase. You can see the cxlflash correspondence on the linux-scsi mailing list.

Tim Gardner (timg-tpi) wrote :

Kernel freeze is Oct 8. Any chance these will make it into 4.3 by then ?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-09-28 19:24 EDT-------
(In reply to comment #13)
> Kernel freeze is Oct 8. Any chance these will make it into 4.3 by then ?

It's still a possibility seeing as there is another rc round before 10/8.

I had heard previously that there was a 10/2 cutoff, thus the rush for trying to get this in.

------- Comment on attachment From <email address hidden> 2015-10-01 16:27 EDT-------

Latest version of the patch set of updates to cxlflash driver.

------- Comment From <email address hidden> 2015-10-01 16:36 EDT-------
> ------- Comment on attachment From <email address hidden> 2015-10-01 16:27
> EDT-------
>
> Latest version of the patch set of updates to cxlflash driver.

The patches contained within the 101 tarball replaces the others that were earlier attached to this work item. Please use it instead when applying to 15.10.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-10-02 05:56 EDT-------
In addition to the cxlflash fixes, we also have a handful of fixes to the core cxl driver. I've backported these on the wily tree and put them on github here:

<email address hidden>:DarkStarSword/linux cxl/wily

The list of patches are:
* cxl: Workaround malformed pcie packets on some cards
* 5f81b95 cxl: fix leak of ctx->mapping when releasing kernel API contexts
* 52adee5 cxl: fix leak of ctx->irq_bitmap when releasing context via kernel API
* 8dde152 cxl: fix leak of IRQ names in cxl_free_afu_irqs()
* d6eb71a cxl: Fix lockdep warning while creating afu_err_buff attribute
* 2cd55c6 cxl: Fix build failure due to -Wunused-variable behaviour change
* 7d1647d cxl: abort cxl_pci_enable_device_hook() if PCI channel is offline

Most of these patches are already upstream - up to d6eb71a are already in Linus' tree, and up to 5f81b95 are currently in powerpc/fixes and will be pushed to Linus shortly.

The final patch (cxl: Workaround malformed pcie packets on some cards) must have got lost in transit somewhere as it never made it to linuxppc-dev and therefore hasn't gone upstream yet. I've resent it to the list as we will need it for cxlflash:
https://patchwork.ozlabs.org/patch/525383/

Tim Gardner (timg-tpi) on 2015-10-05
Changed in linux (Ubuntu Wily):
status: In Progress → Fix Committed

------- Comment on attachment From <email address hidden> 2015-10-07 23:40 EDT-------

One more patch to add that fixes a critical corruption issue. I've tested against Ubuntu-4.2.0-15.17 and it applies cleanly.

Tim Gardner (timg-tpi) wrote :

applied to Wily

Launchpad Janitor (janitor) wrote :
Download full text (5.2 KiB)

This bug was fixed in the package linux - 4.2.0-15.18

---------------
linux (4.2.0-15.18) wily; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1503692

  [ Andy Whitcroft ]

  * Revert "SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()"
    Was incorrectly backported.

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - CVE-2015-7312

  [ Tim Gardner ]

  * [Debian] config-check and prepare using ${DEBIAN}/config/annotations
    Makes the LTS update script work better.

linux (4.2.0-15.17) wily; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1503016
  * rebase to v4.2.3

  [ Andrew Donnellan ]

  * SAUCE: cxl: fix leak of IRQ names in cxl_free_afu_irqs()
  * SAUCE: cxl: fix leak of ctx->irq_bitmap when releasing context via
    kernel API
  * SAUCE: cxl: fix leak of ctx->mapping when releasing kernel API contexts

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - CVE-2015-7312

  [ Dan Carpenter ]

  * SAUCE: (noup) cxlflash: a couple off by one bugs
    - LP: #1499849

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: fix mount not handling disconnected paths
    - LP: #1496430

  [ Manoj Kumar ]

  * SAUCE: (noup) cxlflash: Fix to avoid invalid port_sel value
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Replace magic numbers with literals
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Fix read capacity timeout
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Fix to double the delay each time
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Fix to escalate to LINK_RESET on login timeout
    - LP: #1499849

  [ Matthew R. Ochs ]

  * SAUCE: (noup) cxlflash: Fix potential oops following LUN removal
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Fix data corruption when vLUN used over
    multiple cards
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Fix to avoid sizeof(bool)
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Fix context encode mask width
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Fix to avoid CXL services during EEH
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Correct naming of limbo state and waitq
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Make functions static
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Refine host/device attributes
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Fix to avoid spamming the kernel log
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Fix to avoid stall while waiting on TMF
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Fix location of setting resid
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Fix host link up event handling
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Fix async interrupt bypass logic
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Remove dual port online dependency
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Fix AFU version access/storage and add check
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Correct usage of scsi_host_put()
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Fix to prevent workq from accessing freed
    memory
    - LP: #1499849
  * SAUCE: (noup) cxlflash: Correct behavior in device reset handler
    ...

Read more...

Changed in linux (Ubuntu Wily):
status: Fix Committed → Fix Released

------- Comment From <email address hidden> 2015-10-13 02:36 EDT-------
Closing...verified in Ubuntu-4.2.0-16.19.

Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Wily):
importance: Undecided → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers